#
#   Python GUI - View Base - Gtk
#

import gtk
from GViewBases import ViewBase as GViewBase

class ViewBase(GViewBase):
    
    def track_mouse(self):
        finished = 0
        while not finished:
            self._mouse_event = None
            while not self._mouse_event:
                gtk.main_iteration()
            event = self._mouse_event
            if event.kind == 'mouse_up':
                finished = 1
            yield event

